org.openmuc.openiec61850

## Class BdaInt32U

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaInt32U

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaInt32U
    extends BasicDataAttribute

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaInt32U(ObjectReference objectReference, Fc fc, java.lang.String sAddr, boolean dchg, boolean dupd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaInt32U` `copy()` Returns a copy of model node with all of its children.
`long` `getValue()`
`void` `setDefault()`
`void` `setValue(long value)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaInt32U

    public BdaInt32U(ObjectReference objectReference,
                     Fc fc,
                     java.lang.String sAddr,
                     boolean dchg,
                     boolean dupd)

### Method Detail

#### setValue

    public void setValue(long value)

#### getValue

    public long getValue()

#### setDefault

    public void setDefault()

Specified by:
  `setDefault` in class `BasicDataAttribute`

#### copy

    public BdaInt32U copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FcModelNode`